Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyList

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PySequence
              org.python.core.PySequenceList
                  org.python.core.PyList

All Implemented Interfaces:
  Serializable, Iterable, Collection, List

Direct Known Subclasses:
  PyListDerived

    public class PyList

extends PySequenceList
implements List

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`int` | `gListAllocatedStatus`
`static PyType` | `TYPE`

Constructor Summary
`PyList()`
`PyList(Collection c)`
`PyList(Iterator<PyObject> iter)`
`PyList(PyObject o)`
`PyList(PyObject[] elements)`
`PyList(PyType type)`
`PyList(PyType type, Collection c)`
`PyList(PyType type, PyObject[] elements)`

Method Summary
`PyObject` | `__add__(PyObject o)` Equivalent to the standard Python __add__ method
`PyTuple` | `__getnewargs__()`
`PyObject` | `__iadd__(PyObject o)` Equivalent to the standard Python __iadd__ method
`PyObject` | `__imul__(PyObject o)` Equivalent to the standard Python __imul__ method
`PyObject` | `__iter__()` Return an iterator that is used to iterate the element of this sequence.
`int` | `__len__()` Equivalent to the standard Python __len__ method.
`PyObject` | `__mul__(PyObject o)` Equivalent to the standard Python __mul__ method
`PyObject` | `__radd__(PyObject o)` Equivalent to the standard Python __radd__ method
`PyObject` | `__rmul__(PyObject o)` Equivalent to the standard Python __rmul__ method
`void` | `add(int index, Object element)`
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection c)`
`boolean` | `addAll(int index, Collection c)`
`void` | `append(PyObject o)` Add a single element to the end of list.
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`int` | `count(PyObject o)` Return the number elements in the list that equals the argument.
`boolean` | `equals(Object other)` Should almost never be overridden.
`void` | `extend(PyObject o)` Append the elements in the argument sequence to the end of the list.
`static PyList` | `fromList(List<PyObject> list)`
`Object` | `get(int index)`
`PyObject[]` | `getArray()` Get the backing array.
`int` | `hashCode()`
`int` | `index(PyObject o)` return smallest index where an element in the list equals the argument.
`int` | `index(PyObject o, int start)`
`int` | `index(PyObject o, int start, int stop)`
`int` | `indexOf(Object o)`
`void` | `insert(int index, PyObject o)` Insert the argument element into the list at the specified index.
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`int` | `lastIndexOf(Object o)`
`PyObject` | `list___iter__()`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int index)`
`PyObject` | `pop()` Removes and return the last element in the list.
`PyObject` | `pop(int n)` Removes and return the `n` indexed element in the list.
`void` | `pyadd(int index, PyObject element)`
`boolean` | `pyadd(PyObject o)`
`PyObject` | `pyget(int index)`
`void` | `pyset(int index, PyObject element)` Sets the given element of the sequence.
`Object` | `remove(int index)`
`void` | `remove(int start, int stop)`
`boolean` | `remove(Object o)`
`void` | `remove(PyObject o)` Remove the first occurence of the argument from the list.
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`void` | `reverse()` Reverses the items of s in place.
`Object` | `set(int index, Object element)`
`int` | `size()`
`void` | `sort()`
`void` | `sort(PyObject compare)`
`void` | `sort(PyObject cmp, PyObject key, PyObject reverse)`
`List` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`
`String` | `toString()`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __eq__, __finditem__, __finditem__, __ge__, __getitem__, __getslice__, __gt__, __le__, __lt__, __ne__, __nonzero__, __setitem__, __setitem__, __setslice__, __tojava__, isMappingType, isNumberType, isSequenceType`

Methods inherited from class org.python.core.PyObject
`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __float__, __floordiv__, __get__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __long__, __lshift__, __mod__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final PyType TYPE

### gListAllocatedStatus

    public volatile int gListAllocatedStatus

Constructor Detail

### PyList

    public PyList()

### PyList

    public PyList(PyType type)

### PyList

    public PyList(PyType type,
                  PyObject[] elements)

### PyList

    public PyList(PyType type,
                  Collection c)

### PyList

    public PyList(PyObject[] elements)

### PyList

    public PyList(Collection c)

### PyList

    public PyList(PyObject o)

### PyList

    public PyList(Iterator<PyObject> iter)

Method Detail

### fromList

    public static PyList fromList(List<PyObject> list)

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyObject`
  Returns:
    the length of the object

### __imul__

    public PyObject __imul__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __imul__ method

  Overrides:
    `__imul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the imul, or null if this operation is not defined

### __mul__

    public PyObject __mul__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __mul__ method

  Overrides:
    `__mul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mul, or null if this operation is not defined

### __rmul__

    public PyObject __rmul__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __rmul__ method

  Overrides:
    `__rmul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the mul, or null if this operation is not defined.

### __add__

    public PyObject __add__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __add__ method

  Overrides:
    `__add__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### __radd__

    public PyObject __radd__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __radd__ method

  Overrides:
    `__radd__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined.

### __iter__

    public PyObject __iter__()

  Description copied from class: `PyObject`
  Return an iterator that is used to iterate the element of this sequence. From version 2.2, this method is the primary protocol for looping over sequences.

  If a PyObject subclass should support iteration based in the __finditem__() method, it must supply an implementation of __iter__() like this:

       public PyObject __iter__() {
           return new PySequenceIter(this);
       }

  When iterating over a python sequence from java code, it should be done with code like this:

       for (PyObject item : seq.asIterable()) {
           // Do somting with item
       }

  Overrides:
    `__iter__` in class `PySequence`

### list___iter__

    public PyObject list___iter__()

### toString

    public String toString()

  Specified by:
    `toString` in class `PySequenceList`

### append

    public void append(PyObject o)

  Add a single element to the end of list.

  Parameters:
    `o` - the element to add.

### count

    public int count(PyObject o)

  Return the number elements in the list that equals the argument.

  Parameters:
    `o` - the argument to test for. Testing is done with the `==` operator.

### index

    public int index(PyObject o)

  return smallest index where an element in the list equals the argument.

  Parameters:
    `o` - the argument to test for. Testing is done with the `==` operator.

### index

    public int index(PyObject o,
                     int start)

### index

    public int index(PyObject o,
                     int start,
                     int stop)

### insert

    public void insert(int index,
                       PyObject o)

  Insert the argument element into the list at the specified index.
  Same as `s[index:index] = [o] if index >= 0`.

  Parameters:
    `index` - the position where the element will be inserted.
    `o` - the element to insert.

### remove

    public void remove(PyObject o)

  Remove the first occurence of the argument from the list. The elements arecompared with the `==` operator.
  Same as `del s[s.index(x)]`

  Parameters:
    `o` - the element to search for and remove.

### reverse

    public void reverse()

  Reverses the items of s in place. The reverse() methods modify the list in place for economy of space when reversing a large list. It doesn't return the reversed list to remind you of this side effect.

### pop

    public PyObject pop()

  Removes and return the last element in the list.

### pop

    public PyObject pop(int n)

  Removes and return the `n` indexed element in the list.

  Parameters:
    `n` - the index of the element to remove and return.

### extend

    public void extend(PyObject o)

  Append the elements in the argument sequence to the end of the list.
  Same as `s[len(s):len(s)] = o`.

  Parameters:
    `o` - the sequence of items to append to the list.

### __iadd__

    public PyObject __iadd__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __iadd__ method

  Overrides:
    `__iadd__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the iadd, or null if this operation is not defined

### sort

    public void sort(PyObject cmp,
                     PyObject key,
                     PyObject reverse)

### sort

    public void sort()

### sort

    public void sort(PyObject compare)

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `List`
  Specified by:
    `hashCode` in class `PySequenceList`

### __getnewargs__

    public PyTuple __getnewargs__()

  Overrides:
    `__getnewargs__` in class `PyObject`

### add

    public void add(int index,
                    Object element)

  Specified by:
    `add` in interface `List`
  Specified by:
    `add` in class `PySequenceList`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`
  Specified by:
    `add` in class `PySequenceList`

### addAll

    public boolean addAll(int index,
                          Collection c)

  Specified by:
    `addAll` in interface `List`
  Specified by:
    `addAll` in class `PySequenceList`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `List`
  Specified by:
    `addAll` in class `PySequenceList`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Specified by:
    `clear` in interface `List`
  Specified by:
    `clear` in class `PySequenceList`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `List`
  Specified by:
    `contains` in class `PySequenceList`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Collection`
  Specified by:
    `containsAll` in interface `List`
  Specified by:
    `containsAll` in class `PySequenceList`

### equals

    public boolean equals(Object other)

  Description copied from class: `PyObject`
  Should almost never be overridden. If overridden, it is the subclasses responsibility to ensure that `a.equals(b) == true` iff `cmp(a,b) == 0`

  Specified by:
    `equals` in interface `Collection`
  Specified by:
    `equals` in interface `List`
  Specified by:
    `equals` in class `PySequenceList`

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `PySequenceList`

### getArray

    public PyObject[] getArray()

  Description copied from class: `PySequenceList`
  Get the backing array. The array should not be modified. To get a copy of the array, see `PySequenceList.toArray()`.

  Specified by:
    `getArray` in class `PySequenceList`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List`
  Specified by:
    `indexOf` in class `PySequenceList`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`
  Specified by:
    `isEmpty` in interface `List`
  Specified by:
    `isEmpty` in class `PySequenceList`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `List`
  Specified by:
    `iterator` in class `PySequenceList`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List`
  Specified by:
    `lastIndexOf` in class `PySequenceList`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`
  Specified by:
    `listIterator` in class `PySequenceList`

### listIterator

    public ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `List`
  Specified by:
    `listIterator` in class `PySequenceList`

### pyadd

    public void pyadd(int index,
                      PyObject element)

  Specified by:
    `pyadd` in class `PySequenceList`

### pyadd

    public boolean pyadd(PyObject o)

  Specified by:
    `pyadd` in class `PySequenceList`

### pyget

    public PyObject pyget(int index)

  Specified by:
    `pyget` in class `PySequenceList`
  Parameters:
    `index` - index of element to return.
  Returns:
    the element at the given position in the list.

### pyset

    public void pyset(int index,
                      PyObject element)

  Description copied from class: `PySequence`
  Sets the given element of the sequence.

  Specified by:
    `pyset` in class `PySequenceList`
  Parameters:
    `index` - index of the element to set.
    `element` - the value to set this element to.

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List`
  Specified by:
    `remove` in class `PySequenceList`

### remove

    public void remove(int start,
                       int stop)

  Specified by:
    `remove` in class `PySequenceList`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection`
  Specified by:
    `removeAll` in interface `List`
  Specified by:
    `removeAll` in class `PySequenceList`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection`
  Specified by:
    `retainAll` in interface `List`
  Specified by:
    `retainAll` in class `PySequenceList`

### set

    public Object set(int index,
                      Object element)

  Specified by:
    `set` in interface `List`
  Specified by:
    `set` in class `PySequenceList`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `PySequenceList`

### subList

    public List subList(int fromIndex,
                        int toIndex)

  Specified by:
    `subList` in interface `List`
  Specified by:
    `subList` in class `PySequenceList`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`
  Specified by:
    `toArray` in class `PySequenceList`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`
  Specified by:
    `toArray` in class `PySequenceList`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `List`
  Specified by:
    `remove` in class `PySequenceList`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage